import Slider, { type SliderElement } from './Slider';
export interface CarouselSliderElement extends SliderElement {
    cover: boolean;
    timingFunction: string;
}
export declare const CAROUSEL_ATTRIBUTES: string[];
export default class Carousel extends Slider implements CarouselSliderElement {
    static observedAttributes: string[];
    get cover(): boolean;
    get timingFunction(): string;
    connectedCallback(): void;
    attributeChangedCallback(name: string): void;
}
